gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Widget The widget is used for reliable pointer grabs and selection handling in the code for drag-and-drop.

Used internally in GTK+, and is probably not useful for application developers.

- Constructor
  2.12.0.0
  Constructor.
- Constructor
  2.12.0.0
  a
  Public Constructor
  Used to create a new for a specific .
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("screen")
  Gdk.Screen The screen this widget is attached to. a